@charset "UTF-8";

/* ***************************************************************************************** */
/* (c) designschmiede - www.wirschmiedendesign.de  
/* ***************************************************************************************** */

/* basic-adjustments
------------------------------------------------------------------------------------- */
#contactform_B2C {
	position: relative;
	padding: 0;}


.google-message {
  margin: 10px auto;
  text-align: center;
  color: rgba(128,128,128,1.00);
  font-size: 12px;}

.grecaptcha-badge {
  visibility: visible;}



#contactform_B2C .custom-checkbox {
  background-color: rgba(255,255,255,1.00);
  border:solid 1px rgba(210,210,210,1.00);
  border-radius: 4px;}

#contactform_B2C .custom-checkbox .privacy-text {
  color: rgba(128,128,128,1.00);  
  font-size: 12px;}

#contactform_B2C .custom-radio {
  background-color: rgba(255,255,255,1.00);
  border:solid 1px rgba(210,210,210,1.00);
  border-radius: 4px;}

#contactform_B2C .custom-control-label::before {
  background-color: rgba(216,216,216,1.00);}

#contactform_B2C .flex-container {
	display        : flex;
  flex-wrap      : wrap;  
	justify-content: center;
	align-items    : flex-start;}

#contactform_B2C .flex-item {
  flex: 100%;    
	padding: 0 0.5rem;
  margin: 3px 0;}

#contactform_B2C .flex-item-80 {
  flex: 80%;}

#contactform_B2C .flex-item-50 {
  flex: 50%;}

#contactform_B2C .flex-item-20 {
  flex: 20%;}

@media (max-width: 450px) {
  #contactform_B2C .flex-item {
    flex: 100%;}
}

/* Floating labels for form - https://getbootstrap.com/docs/4.5/examples/floating-labels/
--------------------------------------------------------------------------------------- */
#contactform_B2C .form-label-group {
  position: relative;
  margin-bottom: 0.5rem;
}

#contactform_B2C .form-label-group input,
#contactform_B2C .form-label-group label {
  height: 3.125rem;
  padding: .75rem;
}

#contactform_B2C .form-label-group label {
  position: absolute;
  font-weight: 300 !important;
  top: 0;
  left: 7px;
  display: block;
  width: 100%;
  margin-bottom: 0; /* Override default `<label>` margin */
  line-height: 1.5;
  /* color: rgba(73,80,87,1.00); */
  color: rgba(155,162,169,1.00);
  pointer-events: none;
  cursor: text; /* Match the input under the label */
  border: 1px solid transparent;
  border-radius: .25rem;
  -webkit-transition: all .1s ease-in-out;
  transition: all .1s ease-in-out;
}

#contactform_B2C .form-label-group input::-webkit-input-placeholder,
#contactform_B2C .form-label-group textarea::-webkit-input-placeholder {
  color: transparent;
}

#contactform_B2C .form-label-group input::-moz-placeholder,
#contactform_B2C .form-label-group textarea::-moz-placeholder {
  color: transparent;
}

#contactform_B2C .form-label-group input:-ms-input-placeholder,
#contactform_B2C .form-label-group textarea:-ms-input-placeholder {
  color: transparent;
}

#contactform_B2C .form-label-group input::-ms-input-placeholder,
#contactform_B2C .form-label-group textarea::-ms-input-placeholder {
  color: transparent;
}

#contactform_B2C .form-label-group input::placeholder,
#contactform_B2C .form-label-group textarea::placeholder {
  color: transparent;
}

#contactform_B2C .form-label-group input:not(:-moz-placeholder-shown),
#contactform_B2C .form-label-group textarea:not(:-moz-placeholder-shown) {
  padding-top: 1.25rem;
  padding-bottom: .25rem;
}

#contactform_B2C .form-label-group input:not(:-ms-input-placeholder),
#contactform_B2C .form-label-group textarea:not(:-ms-input-placeholder) {
  padding-top: 1.25rem;
  padding-bottom: .25rem;
}

#contactform_B2C .form-label-group input:not(:placeholder-shown),
#contactform_B2C .form-label-group textarea:not(:placeholder-shown) {
  padding-top: 1.25rem;
  padding-bottom: .25rem;
}

#contactform_B2C .form-label-group input:not(:-moz-placeholder-shown) ~ label,
#contactform_B2C .form-label-group textarea:not(:-moz-placeholder-shown) ~ label {
  padding-top: .25rem;
  padding-bottom: .25rem;
  font-size: 12px;
  color: #777;
}

#contactform_B2C .form-label-group input:not(:-ms-input-placeholder) ~ label,
#contactform_B2C .form-label-group textarea:not(:-ms-input-placeholder) ~ label {
  padding-top: .25rem;
  padding-bottom: .25rem;
  font-size: 12px;
  color: #777;
}

#contactform_B2C .form-label-group input:not(:placeholder-shown) ~ label,
#contactform_B2C .form-label-group textarea:not(:placeholder-shown) ~ label {
  padding-top: .25rem;
  padding-bottom: .25rem;
  font-size: 12px;
  color: #777;
}

/* Floating labels for form - Fallback for Edge
-------------------------------------------------- */
@supports (-ms-ime-align: auto) {
  #contactform_B2C .form-label-group {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column-reverse;
    flex-direction: column-reverse;
  }

  #contactform_B2C .form-label-group label {
    position: static;
  }

  #contactform_B2C .form-label-group input::-ms-input-placeholder {
    color: #777;
  }
}

